﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGAddChildDynamicallyCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=1; i<4; i++)
            {
                SampleData sd = new SampleData() { ID = i, Label = "Label " + i.ToString(), Number = r.Next(1000) };
                if(i == 2)
                {
                    sd.Children.Add(new ChildData() { ChildID = 0, ChildNumber = r.Next(1000) });
                }

                Data.Add(sd);                
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set;}
        public ObservableCollection<ChildData> Children { get; set; }
        
        public SampleData()
        {
            Children = new ObservableCollection<ChildData>();
        }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public int ChildNumber { get; set; }
    }

}
